Company Intelligence (Sync)
curl --request POST \
--url https://api.sixtyfour.ai/company-intelligence \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data @- <<EOF
{
"find_people": true,
"people_focus_prompt": "The founder and the head of operations",
"struct": {
"headquarters": "City and country of the headquarters",
"instagram_url": "The company's primary Instagram profile URL"
},
"target_company": {
"company_name": "Pacific View Studios",
"website": "https://pacificview.studio"
},
"tier": "medium"
}
EOFimport requests
url = "https://api.sixtyfour.ai/company-intelligence"
payload = {
"find_people": True,
"people_focus_prompt": "The founder and the head of operations",
"struct": {
"headquarters": "City and country of the headquarters",
"instagram_url": "The company's primary Instagram profile URL"
},
"target_company": {
"company_name": "Pacific View Studios",
"website": "https://pacificview.studio"
},
"tier": "medium"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
find_people: true,
people_focus_prompt: 'The founder and the head of operations',
struct: {
headquarters: 'City and country of the headquarters',
instagram_url: 'The company\'s primary Instagram profile URL'
},
target_company: {company_name: 'Pacific View Studios', website: 'https://pacificview.studio'},
tier: 'medium'
})
};
fetch('https://api.sixtyfour.ai/company-intelligence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/company-intelligence",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'find_people' => true,
'people_focus_prompt' => 'The founder and the head of operations',
'struct' => [
'headquarters' => 'City and country of the headquarters',
'instagram_url' => 'The company\'s primary Instagram profile URL'
],
'target_company' => [
'company_name' => 'Pacific View Studios',
'website' => 'https://pacificview.studio'
],
'tier' => 'medium'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/company-intelligence"
payload := strings.NewReader("{\n \"find_people\": true,\n \"people_focus_prompt\": \"The founder and the head of operations\",\n \"struct\": {\n \"headquarters\": \"City and country of the headquarters\",\n \"instagram_url\": \"The company's primary Instagram profile URL\"\n },\n \"target_company\": {\n \"company_name\": \"Pacific View Studios\",\n \"website\": \"https://pacificview.studio\"\n },\n \"tier\": \"medium\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/company-intelligence")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"find_people\": true,\n \"people_focus_prompt\": \"The founder and the head of operations\",\n \"struct\": {\n \"headquarters\": \"City and country of the headquarters\",\n \"instagram_url\": \"The company's primary Instagram profile URL\"\n },\n \"target_company\": {\n \"company_name\": \"Pacific View Studios\",\n \"website\": \"https://pacificview.studio\"\n },\n \"tier\": \"medium\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/company-intelligence")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"find_people\": true,\n \"people_focus_prompt\": \"The founder and the head of operations\",\n \"struct\": {\n \"headquarters\": \"City and country of the headquarters\",\n \"instagram_url\": \"The company's primary Instagram profile URL\"\n },\n \"target_company\": {\n \"company_name\": \"Pacific View Studios\",\n \"website\": \"https://pacificview.studio\"\n },\n \"tier\": \"medium\"\n}"
response = http.request(request)
puts response.read_body{
"structured_data": {},
"confidence_score": 5,
"references": {},
"notes": "<string>",
"findings": [
"<unknown>"
],
"field_confidence": {},
"investigation_id": "<string>",
"org_chart": {}
}{
"detail": "Invalid request body",
"code": "bad_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Invalid API key",
"code": "unauthenticated",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Insufficient API credits",
"code": "payment_required",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "High tier company enrichment is not enabled for this org. Contact sales to request access.",
"code": "forbidden",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": [
{
"loc": [
"body",
"target_company",
"domain"
],
"msg": "Field required",
"type": "missing",
"input": null,
"ctx": {}
}
],
"code": "invalid_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Rate limit exceeded",
"code": "rate_limited",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Internal server error",
"code": "internal_error",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Could not verify the API key right now. Retry shortly.",
"code": "unavailable",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}Company Intelligence
Company Intelligence (Sync)
Find and enrich a single company.
POST
/
company-intelligence
Company Intelligence (Sync)
curl --request POST \
--url https://api.sixtyfour.ai/company-intelligence \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data @- <<EOF
{
"find_people": true,
"people_focus_prompt": "The founder and the head of operations",
"struct": {
"headquarters": "City and country of the headquarters",
"instagram_url": "The company's primary Instagram profile URL"
},
"target_company": {
"company_name": "Pacific View Studios",
"website": "https://pacificview.studio"
},
"tier": "medium"
}
EOFimport requests
url = "https://api.sixtyfour.ai/company-intelligence"
payload = {
"find_people": True,
"people_focus_prompt": "The founder and the head of operations",
"struct": {
"headquarters": "City and country of the headquarters",
"instagram_url": "The company's primary Instagram profile URL"
},
"target_company": {
"company_name": "Pacific View Studios",
"website": "https://pacificview.studio"
},
"tier": "medium"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
find_people: true,
people_focus_prompt: 'The founder and the head of operations',
struct: {
headquarters: 'City and country of the headquarters',
instagram_url: 'The company\'s primary Instagram profile URL'
},
target_company: {company_name: 'Pacific View Studios', website: 'https://pacificview.studio'},
tier: 'medium'
})
};
fetch('https://api.sixtyfour.ai/company-intelligence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sixtyfour.ai/company-intelligence",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'find_people' => true,
'people_focus_prompt' => 'The founder and the head of operations',
'struct' => [
'headquarters' => 'City and country of the headquarters',
'instagram_url' => 'The company\'s primary Instagram profile URL'
],
'target_company' => [
'company_name' => 'Pacific View Studios',
'website' => 'https://pacificview.studio'
],
'tier' => 'medium'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sixtyfour.ai/company-intelligence"
payload := strings.NewReader("{\n \"find_people\": true,\n \"people_focus_prompt\": \"The founder and the head of operations\",\n \"struct\": {\n \"headquarters\": \"City and country of the headquarters\",\n \"instagram_url\": \"The company's primary Instagram profile URL\"\n },\n \"target_company\": {\n \"company_name\": \"Pacific View Studios\",\n \"website\": \"https://pacificview.studio\"\n },\n \"tier\": \"medium\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sixtyfour.ai/company-intelligence")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"find_people\": true,\n \"people_focus_prompt\": \"The founder and the head of operations\",\n \"struct\": {\n \"headquarters\": \"City and country of the headquarters\",\n \"instagram_url\": \"The company's primary Instagram profile URL\"\n },\n \"target_company\": {\n \"company_name\": \"Pacific View Studios\",\n \"website\": \"https://pacificview.studio\"\n },\n \"tier\": \"medium\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sixtyfour.ai/company-intelligence")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"find_people\": true,\n \"people_focus_prompt\": \"The founder and the head of operations\",\n \"struct\": {\n \"headquarters\": \"City and country of the headquarters\",\n \"instagram_url\": \"The company's primary Instagram profile URL\"\n },\n \"target_company\": {\n \"company_name\": \"Pacific View Studios\",\n \"website\": \"https://pacificview.studio\"\n },\n \"tier\": \"medium\"\n}"
response = http.request(request)
puts response.read_body{
"structured_data": {},
"confidence_score": 5,
"references": {},
"notes": "<string>",
"findings": [
"<unknown>"
],
"field_confidence": {},
"investigation_id": "<string>",
"org_chart": {}
}{
"detail": "Invalid request body",
"code": "bad_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Invalid API key",
"code": "unauthenticated",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Insufficient API credits",
"code": "payment_required",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "High tier company enrichment is not enabled for this org. Contact sales to request access.",
"code": "forbidden",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": [
{
"loc": [
"body",
"target_company",
"domain"
],
"msg": "Field required",
"type": "missing",
"input": null,
"ctx": {}
}
],
"code": "invalid_request",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Rate limit exceeded",
"code": "rate_limited",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Internal server error",
"code": "internal_error",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}{
"detail": "Could not verify the API key right now. Retry shortly.",
"code": "unavailable",
"correlation_id": "enrich_3f8b2c1e-9d4a-4c1b-8e2f-6a7b5c4d3e21",
"feedback": "Problem with this response? POST /feedback with comment and operation; include correlation_id in your comment."
}Body
application/json
Research depth and price. See Credits & Pricing. Default: low.
Available options:
low, micro, medium, high Response
Successful Response
Was this page helpful?